package application;

import javafx.scene.paint.Color;
import javafx.scene.paint.CycleMethod;
import javafx.scene.paint.RadialGradient;
import javafx.scene.paint.Stop;
import javafx.scene.shape.Circle;

public class Ball extends Circle {

	// constructor for a ball
	public Ball(boolean is3DBallShapeActivated) {
		super();

		// set ball shape
		if (is3DBallShapeActivated) {
			// make the ball with gradation
			RadialGradient g = new RadialGradient(0, 0, 0.35, 0.35, 0.5, true, CycleMethod.NO_CYCLE,
												new Stop(0.0, Color.WHITE),	new Stop(1.0, Color.RED));												
			this.setFill(g);	
		} else {
			this.setFill(Color.WHITE);
		}
	}

	// update ball position
	public void setBall(double radius, double pixX, double pixY) {
		this.setRadius(radius);
		this.setCenterX(pixX);
		this.setCenterY(pixY);		
	}
	
	// print radius and position of ball 
	public String toString() {
		return this.getRadius()+"\t"+this.getCenterX()+"\t"+this.getCenterY();
	}
}