package application;

import javafx.scene.paint.Color;
import javafx.scene.shape.Line;

public class MotionVector extends Line{
	
	// constructor for a motion vector
	public MotionVector(boolean isMotionVectorActivated) {
		super();
		this.setStroke(Color.YELLOW); 
		
		// handle visibility flag
		if (!isMotionVectorActivated) {
			this.setStroke(null);
		}
	}
	
	// update motion vector
	public void setMotionVector(double fromPixX, double fromPixY, double toPixX, double toPixY) {
			this.setStartX(fromPixX);
			this.setStartY(fromPixY);
			this.setEndX(toPixX);
			this.setEndY(toPixY);		
	}

	// print position of motion vector 
	public String toString() {
		return this.getStartX()+"\t"+this.getStartY()+"\t"+this.getEndX()+"\t"+this.getEndY();
	}
}
