package application;

public class Trans {

    // Px = kS*kW*dC/(Oz*(kS-kW)+kW*dC)*Ox;
    // Py = kS*kW*dC/(Oz*(kS-kW)+kW*dC)*Oy;
    // Pz = kS*kW*dC/(Oz*(kS-kW)+kW*dC)*kD/kW*Oz;
	
	static public double kS; // the ratio of eye separation to camera separation
	static public double kW; // the ratio of screen width to camera frustum width at convergence distance,
	static public double kD; // the ratio of screen distance to camera convergence distance       
	static public double dC; // camera convergence distance (meters)
        
	static private double tempX, tempY, tempZ;	
	
    // initialize transfer function 
     public static void init (double KS, double KW, double KD, double DC) {
    	kS = KS;
    	kW = KW;
    	kD = KD;
    	dC = DC;
    }
    
    // getter for mapping functions
    public static double trnasferX(double oX, double oZ) { 
    	tempX = (kS*kW*dC)/(oZ*(kS-kW)+(kW*dC))*oX;
    	return tempX; 
    }
    public static double trnasferY(double oY, double oZ) { 
    	tempY = (kS*kW*dC)/(oZ*(kS-kW)+(kW*dC))*oY;
    	return tempY; 
    }
    public static double trnasferZ(double oZ) { 
    	tempZ = (kS*kW*dC)/(oZ*(kS-kW)+(kW*dC))*(kD/kW)*oZ;
    	return tempZ; 
    }
    
	// Main program for launcher
    public static void main(String[] args) {
    	double kS=0.79; // the ratio of eye separation to camera separation
    	double kW=1; // the ratio of screen width to camera frustum width at convergence distance,
    	double kD=1; // the ratio of screen distance to camera convergence distance       
    	double dC=3; // camera convergence distance (meters)
    	
    	double x=-1;
    	double y=-1;
    	double z=2;
        
    	// initialize Utility function
        // double KS, double KW, double KD, double DC
    	Trans.init(kS, kW, kD, dC); 
    	System.out.println(""+ trnasferX(x, z)+"\t"+trnasferY(y, z)+"\t"+trnasferZ(z));
    }
}
